Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class Control

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.AVA
            |
            +--org.mozilla.jss.pkix.crmf.Control

All Implemented Interfaces:
  ASN1Value

public class Control
extends AVA
implements ASN1Value

A CRMF `Control`.

Nested Class Summary
`static class` | `Control.Template` A template class for decoding a Control from a BER stream.

Nested classes inherited from class org.mozilla.jss.pkix.primitive.AVA
``

Field Summary
`static OBJECT_IDENTIFIER` | `id_pkip`
`static OBJECT_IDENTIFIER` | `id_pkix`
`static OBJECT_IDENTIFIER` | `id_regCtrl`
`static OBJECT_IDENTIFIER` | `id_regCtrl_authenticator`
`static OBJECT_IDENTIFIER` | `id_regCtrl_oldCertID`
`static OBJECT_IDENTIFIER` | `id_regCtrl_pkiArchiveOptions`
`static OBJECT_IDENTIFIER` | `id_regCtrl_pkiPublicationInfo`
`static OBJECT_IDENTIFIER` | `id_regCtrl_protocolEncrKey`
`static OBJECT_IDENTIFIER` | `id_regCtrl_regToken`

Fields inherited from class org.mozilla.jss.pkix.primitive.AVA
`TAG`

Constructor Summary
`Control(OBJECT_IDENTIFIER oid, ASN1Value value)`

Method Summary
`PKIArchiveOptions` | `getPKIArchiveOptions()` Returns the value of this control as a PKIArchiveOptions, if it actually is a PKIArchiveOptions.
`PKIPublicationInfo` | `getPKIPublicationInfo()` Returns the value of this control as a PKIPublicationInfo, if it actually is a PKIPublicationInfo.
`UTF8String` | `getUTF8String()` Returns the value of this control as a UTF8String, if it actually is a UTF8String.

Methods inherited from class org.mozilla.jss.pkix.primitive.AVA
`encode, encode, getOID, getTag, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode, getTag`

Field Detail

### id_pkix

    public static final OBJECT_IDENTIFIER id_pkix

### id_pkip

    public static final OBJECT_IDENTIFIER id_pkip

### id_regCtrl

    public static final OBJECT_IDENTIFIER id_regCtrl

### id_regCtrl_regToken

    public static final OBJECT_IDENTIFIER id_regCtrl_regToken

### id_regCtrl_authenticator

    public static final OBJECT_IDENTIFIER id_regCtrl_authenticator

### id_regCtrl_pkiPublicationInfo

    public static final OBJECT_IDENTIFIER id_regCtrl_pkiPublicationInfo

### id_regCtrl_pkiArchiveOptions

    public static final OBJECT_IDENTIFIER id_regCtrl_pkiArchiveOptions

### id_regCtrl_oldCertID

    public static final OBJECT_IDENTIFIER id_regCtrl_oldCertID

### id_regCtrl_protocolEncrKey

    public static final OBJECT_IDENTIFIER id_regCtrl_protocolEncrKey

Constructor Detail

### Control

    public Control(OBJECT_IDENTIFIER oid,
                   ASN1Value value)

Method Detail

### getUTF8String

    public UTF8String getUTF8String()
                             throws InvalidBERException

  Returns the value of this control as a UTF8String, if it actually is a UTF8String.

    `InvalidBERException`

### getPKIArchiveOptions

    public PKIArchiveOptions getPKIArchiveOptions()
                                           throws InvalidBERException

  Returns the value of this control as a PKIArchiveOptions, if it actually is a PKIArchiveOptions.

    `InvalidBERException`

### getPKIPublicationInfo

    public PKIPublicationInfo getPKIPublicationInfo()
                                             throws InvalidBERException

  Returns the value of this control as a PKIPublicationInfo, if it actually is a PKIPublicationInfo.

    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD